## rsgain 3.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif ()
 
 project(rsgain
-  VERSION 3.4
+  VERSION 3.5.1
   DESCRIPTION "ReplayGain 2.0 loudness normalizer"
   HOMEPAGE_URL "https://github.com/complexlogic/rsgain"
   LANGUAGES CXX
@@ -20,6 +20,7 @@
 set(MAXPROGBARWIDTH "0" CACHE STRING "Maximum width of progress bar")
 option(UCHECKMARKS "Enable use of Unicode checkmarks" ON)
 option(EXTRA_WARNINGS "Enable extra compiler warnings" OFF)
+option(INSTALL_MANPAGE "Install man page (requires gzip)" OFF)
 if (EXTRA_WARNINGS)
   if (MSVC)
     add_compile_options(/W4 /WX)
@@ -32,6 +33,23 @@
 set(EXECUTABLE_TITLE "rsgain")
 include_directories(${PROJECT_BINARY_DIR})
 add_compile_definitions("$<$<CONFIG:DEBUG>:DEBUG>")
+if (WIN32)
+  set (USE_STD_FORMAT true)
+  if (MSVC_VERSION AND MSVC_VERSION VERSION_LESS 1937)
+    message(FATAL_ERROR "Visual Studio 17.7 and later supported only")
+  endif ()
+endif ()
+if (USE_STD_FORMAT)
+  if (UNIX)
+    include(CheckIncludeFiles)
+    CHECK_INCLUDE_FILES("format;print" SUPPORT_STD_FORMAT LANGUAGE CXX)
+    if (NOT SUPPORT_STD_FORMAT)
+      message(FATAL_ERROR "You do not have the required system headers for std::format and/or std::print")
+    endif ()
+  endif ()
+  add_compile_definitions(USE_STD_FORMAT)
+  set(CMAKE_CXX_STANDARD 23)
+endif ()
 
 # GCC 9 and earlier are not supported due to C++20 features
 if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 10)
@@ -75,8 +93,6 @@
   find_library(TAGLIB tag REQUIRED)
   find_path(LIBEBUR128_INCLUDE_DIR "ebur128.h" REQUIRED)
   find_library(LIBEBUR128 ebur128 REQUIRED)
-  find_path(FMT_INCLUDE_DIR "fmt/core.h" REQUIRED)
-  find_library(FMT fmt REQUIRED)
   find_path(GETOPT_INCLUDE_DIR "getopt.h" REQUIRED)
   find_library(GETOPT getopt REQUIRED)
   find_path(INIH_INCLUDE_DIR "ini.h" REQUIRED)
@@ -99,7 +115,15 @@
   pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib>=1.11.1)
   pkg_check_modules(LIBEBUR128 REQUIRED IMPORTED_TARGET libebur128>=1.2.4)
   pkg_check_modules(INIH REQUIRED IMPORTED_TARGET inih)
-  pkg_check_modules(FMT REQUIRED IMPORTED_TARGET fmt)
+  if (STRIP_BINARY)
+    find_program(STRIP strip REQUIRED)
+  endif ()
+  if (INSTALL_MANPAGE)
+    find_program(GZIP gzip REQUIRED)
+  endif ()
+  if (NOT USE_STD_FORMAT)
+    pkg_check_modules(FMT REQUIRED IMPORTED_TARGET fmt)
+  endif ()
 endif()
 
 # Generate Windows application manifest and resource file
@@ -126,7 +150,7 @@
 # Installation - Windows
 if (WIN32)
   install(DIRECTORY ${PROJECT_BINARY_DIR}/$<CONFIG>/ DESTINATION .)
-  foreach(item CHANGELOG LICENSE)
+  foreach(item CHANGELOG LICENSE LICENSE-CRCpp)
     configure_file("${PROJECT_SOURCE_DIR}/${item}" "${PROJECT_BINARY_DIR}/${item}.txt")
     install(FILES "${PROJECT_BINARY_DIR}/${item}.txt" DESTINATION .)
   endforeach ()
@@ -159,7 +183,19 @@
 # Installation - Linux/Mac
 elseif (UNIX)
   install(TARGETS ${EXECUTABLE_TITLE} DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
+  if (INSTALL_MANPAGE)
+    install(FILES "${PROJECT_BINARY_DIR}/${EXECUTABLE_TITLE}.1.gz" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1")
+  endif ()
   install(DIRECTORY "${PROJECT_SOURCE_DIR}/config/presets" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}")
+  if (PACKAGE STREQUAL "TXZ" OR PACKAGE STREQUAL "ZIP")
+    set(BINARY_PREFIX ".")
+    set(PRESETS_PREFIX ".")
+  else ()
+    set(BINARY_PREFIX "${CMAKE_INSTALL_PREFIX}/bin")
+    set(PRESETS_PREFIX "${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}")
+  endif ()
+  install(TARGETS ${EXECUTABLE_TITLE} DESTINATION "${BINARY_PREFIX}")
+  install(DIRECTORY "${PROJECT_SOURCE_DIR}/config/presets" DESTINATION "${PRESETS_PREFIX}")
   set(PRESETS_DIR ${CMAKE_INSTALL_PREFIX}/share/${EXECUTABLE_TITLE}/presets)
 
   # Build Debian packages
@@ -168,7 +204,7 @@
     if (COMMITS_SINCE_TAG AND COMMIT_HASH)
       set(CPACK_DEBIAN_PACKAGE_VERSION "${PROJECT_VERSION}-r${COMMITS_SINCE_TAG}-${COMMIT_HASH}")
     endif ()
-    set(CPACK_DEBIAN_PACKAGE_DEPENDS "libavcodec59 (>= 5.1), libavutil57 (>= 5.1), libswresample4  (>= 5.1), libavformat59 (>= 5.1), libebur128-1 (>=1.2.4), libtag1v5, libinih1, libc6 (>=2.29), libstdc++6 (>=10.2), zlib1g")
+    set(CPACK_DEBIAN_PACKAGE_DEPENDS "libavcodec59 (>= 5.1), libavutil57 (>= 5.1), libswresample4  (>= 5.1), libavformat59 (>= 5.1), libebur128-1 (>=1.2.4), libinih1, libc6 (>=2.29), libstdc++6 (>=10.2), zlib1g")
     set(CPACK_DEBIAN_PACKAGE_MAINTAINER "complexlogic")
     set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
     set(CPACK_DEBIAN_ARCHIVE_TYPE "gnutar")
@@ -184,7 +220,9 @@
     set(CPACK_RPM_PACKAGE_LICENSE "BSD")
     set(CPACK_RPM_PACKAGE_GROUP "Applications/Multimedia")
     set(CPACK_RPM_PACKAGE_AUTOREQPROV 0)
-    set(CPACK_RPM_PACKAGE_REQUIRES "libavcodec-free >= 6, libavformat-free >= 6, libswresample-free >= 6, libavutil-free >= 6, libebur128, taglib, zlib, inih")
+    set(CPACK_RPM_PACKAGE_REQUIRES "libavcodec-free >= 6, libavformat-free >= 6, libswresample-free >= 6, libavutil-free >= 6, libebur128, zlib, inih")
+  elseif (PACKAGE STREQUAL "TXZ")
+    set(CPACK_ARCHIVE_FILE_EXTENSION ".tar.xz")
   endif ()
   if (PACKAGE)
     set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${PROJECT_DESCRIPTION})
