=== debian/changelog ===
rsgain (3.5.1-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:24:33 +0200

rsgain (3.5.1-1) unstable; urgency=high

  * New upstream version 3.5.1.
    - Fix header gain calculation for multichannel Opus files.
  * debian/watch: Handle the major.minor.patch version scheme.

 -- Hugh McMaster <hmc@debian.org>  Mon, 10 Jun 2024 15:25:07 +1000

rsgain (3.5-1) unstable; urgency=medium

  * New upstream version 3.5.
  * debian/control:
    - Build-Depend on pkgconf instead pkg-config.
    - Raise Standards-Version to 4.7.0 (no changes needed).
  * debian/copyright: Update for 2024.
  * debian/rsgain.1: Remove man page (now included in upstream source).
  * debian/rules:
    - Remove dh_auto_install override.
    - Set -DCMAKE_BUILD_TYPE=Release.
    - Set -DINSTALL_MANPAGE.
  * debian/watch: Update pattern matching for GitHub.
  * Remove debian/install and debian/manpages.

 -- Hugh McMaster <hmc@debian.org>  Sat, 20 Apr 2024 22:48:22 +1000
