## rsgain 3.5.3

=== debian/changelog ===
rsgain (3.5.3-1build1) plucky; urgency=medium

  * No-change rebuild for taglib.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 12 Jan 2025 13:57:00 +0000

rsgain (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3.

 -- Hugh McMaster <hmc@debian.org>  Wed, 18 Dec 2024 22:06:57 +1100
