## rsgain 3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif ()
 
 project(rsgain
-  VERSION 3.5.1
+  VERSION 3.6
   DESCRIPTION "ReplayGain 2.0 loudness normalizer"
   HOMEPAGE_URL "https://github.com/complexlogic/rsgain"
   LANGUAGES CXX
