=== debian/changelog ===
rsgain (3.6-2) unstable; urgency=medium

  * debian/control:
    - Build-Depend on libtag-dev instead of libtag1-dev (Closes: #1117697).
    - Raise Standards-Version to 4.7.2 (no changes needed).
    - Drop Rules-Requires-Root: no.
  * debian/copyright:
    - Replace FSF address with upstream URL.
    - Minor formatting update.
  * debian/watch: Use Version 5 GitHub template.

 -- Hugh McMaster <hmc@debian.org>  Tue, 04 Nov 2025 11:15:19 +1100

rsgain (3.6-1) unstable; urgency=medium

  * New upstream version 3.6:
    - New "dual mono" option (-d) to treat mono files as stereo.
  * debian/copyright: Update for 2025.

 -- Hugh McMaster <hmc@debian.org>  Sat, 15 Feb 2025 19:51:10 +1100
