=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
  libfmt-dev,
  libinih-dev,
  libswresample-dev,
- libtag1-dev,
- pkg-config
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ libtag-dev,
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://github.com/complexlogic/rsgain
 Vcs-Git: https://salsa.debian.org/hmc/rsgain.git
 Vcs-Browser: https://salsa.debian.org/hmc/rsgain
