=== debian/watch ===
Version: 5

Template: GitHub
Owner: complexlogic
Project: rsgain
